Class | Tk::Iwidgets::Messagebox
In: | tk/lib/tkextlib/iwidgets/messagebox.rb
Parent: | Tk::Iwidgets::Scrolledwidget

### Methods

clear export issue tagid type_add

### Included Modules

TkItemConfigMethod

### Constants

TkCommandNames | = | ['::iwidgets::messagebox'.freeze].freeze
WidgetClassName | = | 'Messagebox'.freeze

### External Aliases

itemcget | -> | typecget
itemconfigure | -> | typeconfigure
itemconfiginfo | -> | typeconfiginfo
current_itemconfiginfo | -> | current_typeconfiginfo

### Public Instance methods

clear()

[Source]

    # File tk/lib/tkextlib/iwidgets/messagebox.rb, line 76
      def clear
        tk_call(@path, 'clear')
        self
      end

export(file)

[Source]

    # File tk/lib/tkextlib/iwidgets/messagebox.rb, line 81
      def export(file)
        tk_call(@path, 'export', file)
        self
      end

issue(string, type=None, *args)

[Source]

    # File tk/lib/tkextlib/iwidgets/messagebox.rb, line 86
      def issue(string, type=None, *args)
        tk_call(@path, 'issue', string, tagid(type), *args)
        self
      end

tagid(tagOrId)

[Source]

    # File tk/lib/tkextlib/iwidgets/messagebox.rb, line 35
      def tagid(tagOrId)
        if tagOrId.kind_of?(Tk::Itk::Component)
          tagOrId.name
        else
          #_get_eval_string(tagOrId)
          tagOrId
        end
      end

type_add(tag=nil, keys={})

[Source]

    # File tk/lib/tkextlib/iwidgets/messagebox.rb, line 64
      def type_add(tag=nil, keys={})
        if tag.kind_of?(Hash)
          keys = tag
          tag = nil
        end
        unless tag
          tag = Tk::Itk::Component.new(self)
        end
        tk_call(@path, 'type', 'add', tagid(tag), *hash_kv(keys))
        tag
      end

[Validate]